GNU bug report logs - #22105
25.1.50; REGRESSION - `modify-frame-parameters'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Drew Adams <drew.adams@HIDDEN>; Keywords: moreinfo; dated Mon, 7 Dec 2015 06:04:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 1 May 2016 01:26:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 21:26:16 2016
Received: from localhost ([127.0.0.1]:58892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awg9I-0006AY-6V
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 21:26:16 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:34518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awg9F-0006AL-OR
 for 22105 <at> debbugs.gnu.org; Sat, 30 Apr 2016 21:26:14 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u411Q5Jh018876
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 1 May 2016 01:26:05 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u411Q4gt031654
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 1 May 2016 01:26:05 GMT
Received: from abhmp0019.oracle.com (abhmp0019.oracle.com [141.146.116.25])
 by userv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u411Q3ta006635;
 Sun, 1 May 2016 01:26:04 GMT
MIME-Version: 1.0
Message-ID: <193d8c4a-4541-4108-b24d-80f192dbdf00@default>
Date: Sat, 30 Apr 2016 17:26:02 -0800 (GMT-08:00)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>
 <566560E2.4010204@HIDDEN> <2b37d302-b956-48e6-98d0-fc116af6e684@default>
 <5666A033.3050505@HIDDEN> <5666E41E.5070502@HIDDEN> <566BFA7F.9000906@HIDDEN>
 <831tas6ig3.fsf@HIDDEN> <566C254C.4090801@HIDDEN> <877ffe7mtk.fsf@HIDDEN>
In-Reply-To: <877ffe7mtk.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 22105
Cc: Eli Zaretskii <eliz@HIDDEN>, 22105 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > Done.  Drew, please check and tell me which are the remaining issues
> > also wrt bug#16028 and bug#16923.
>=20
> Drew, did this fix your problems here?

No, this is still broken - since October 2015.  I have tried
a few times to track this down (spent quite a while on it),
but I have not had a block of time to do it successfully.

It is also the case that the behavior, although still broken,
has changed several times since then - quite different
breakages, due to changes in the Emacs code (I have not
changed my code).

That is another reason that I have not found the time or
energy to track this down completely: it kept changing,
as other users reported problems that were similar or=20
(I assume) related.

I still hope to get to the bottom of this.  And it seems
that the changes of the Emacs code have quieted down now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 30 Apr 2016 22:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 18:29:16 2016
Received: from localhost ([127.0.0.1]:58725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awdO0-0000QV-8P
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 18:29:16 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:33010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awdNy-0000QM-CU
 for 22105 <at> debbugs.gnu.org; Sat, 30 Apr 2016 18:29:14 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1awdNv-0007jX-J3; Sun, 01 May 2016 00:29:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>
 <566560E2.4010204@HIDDEN>
 <2b37d302-b956-48e6-98d0-fc116af6e684@default>
 <5666A033.3050505@HIDDEN> <5666E41E.5070502@HIDDEN>
 <566BFA7F.9000906@HIDDEN> <831tas6ig3.fsf@HIDDEN>
 <566C254C.4090801@HIDDEN>
Date: Sun, 01 May 2016 00:29:11 +0200
In-Reply-To: <566C254C.4090801@HIDDEN> (martin rudalics's message of "Sat, 12
 Dec 2015 14:46:52 +0100")
Message-ID: <877ffe7mtk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22105
Cc: Eli Zaretskii <eliz@HIDDEN>, drew.adams@HIDDEN, 22105 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> Please commit to emacs-25, and thanks.
>
> Done.  Drew, please check and tell me which are the remaining issues
> also wrt bug#16028 and bug#16923.

Drew, did this fix your problems here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 12 Dec 2015 13:47:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 08:47:13 2015
Received: from localhost ([127.0.0.1]:35513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7kW0-0006b1-Sh
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 08:47:13 -0500
Received: from mout.gmx.net ([212.227.15.18]:52183)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rudalics@HIDDEN>) id 1a7kVz-0006ao-3b
 for 22105 <at> debbugs.gnu.org; Sat, 12 Dec 2015 08:47:11 -0500
Received: from [192.168.1.100] ([212.95.7.30]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0MUpFU-1ZiVSr3F1Q-00YBhs;
 Sat, 12 Dec 2015 14:47:01 +0100
Message-ID: <566C254C.4090801@HIDDEN>
Date: Sat, 12 Dec 2015 14:46:52 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>	<566560E2.4010204@HIDDEN>	<2b37d302-b956-48e6-98d0-fc116af6e684@default>	<5666A033.3050505@HIDDEN>	<5666E41E.5070502@HIDDEN>
 <566BFA7F.9000906@HIDDEN> <831tas6ig3.fsf@HIDDEN>
In-Reply-To: <831tas6ig3.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:7Sq5DxwbJnVlScSG4BvkNR4td6o85YFozSZBePeuMH/yYSMP6Lb
 xKVCVjfkqx8/NfUsOIZumV3MOPIgxVnf/SdIRffSZbbK7Sw5+EkwGrmANdHPZZPJ1/Pva4Y
 r+/JWTyMT4Z4b+DIIradSnxBTaWDpSxsrwB7mlP0WhJD2xpCS2z8u0LmOI4C+SAUW8W78qf
 VYPvrmubYEVuBXf4kneYA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:fmuqryRbX6E=:yRIm6S559wnlVQhIai1ht8
 UcbXQNnw3WX5YRQY4j4Br+3IBimhsfIsvk5Nb7LMRX5PFNzEFO4mB+ZT6hUJ17uLYavcHo6vY
 ywaZdgJRZQUDxKYCu69rZjvd2CVPDJ4XRTgMKgg+Iw3DlSQQJNdZ9tvq7En3kD50YkhlBLNwH
 qrJVbzdDjVGieDsPD5RWaO5F1lrcSCRf+a1nj9B2mvyhzluvlAmtW61AUa/bTC+ayogAOeT3d
 cBfjmv4F+Ik7mb0aHUUrjDiIGXSHYs1fvhvKJ3yrHC0yIaVvVwupxhizIPThNxNcpUTWheDGr
 9R6i524SHDErebfb/8VItKO7ajuKoa5AEgO1Toza2aNItSYd75nfYNjeqjO4/SiUlIql1vDiU
 oy7nW5uN0uVq96wCB8WOYlJ0jUzwnbpOsuPazBAvpV9goXYcWeq0b87N25y6LUbtNcBnBLrZA
 n7GFntLhdODFhiuzznPp3jblZV1CUrzjKo+nlVT6N2/PmOEQEEkZr/ygjFRCuBhZX9OlJXAiq
 apd5/rW/NL5j8GXFvZtaWakqqvQ60A/cAFurR+cRYaVXNh1KaH/GrN0mZrAZPbRgX9IaRF7bO
 ndHDDbDrHrNcEp7zh9kfQubdT92SDUIxyJaZCoKKdX7JBILSEKmCwhijn68P12F30dJrF6KQQ
 jGQatlmTjJ2VgAfwh4kHtTtIexORTLMP35ZBGSN5k7ca8LTOvaI93Ju3Gw+RlmX799kSE8t4w
 VOahVLkztJ7keTooN0J0/Mlvt9l73oFr3U9T90K9pG6pDfjwi93ND/ANG73P8ssA/zs0MZd61
 lYHWEQvFOJ/7VizzM44j9ZBVaX9OQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22105
Cc: drew.adams@HIDDEN, 22105 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Please commit to emacs-25, and thanks.

Done.  Drew, please check and tell me which are the remaining issues
also wrt bug#16028 and bug#16923.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 12 Dec 2015 10:59:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 05:59:46 2015
Received: from localhost ([127.0.0.1]:35446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7hty-0000vz-6Q
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 05:59:46 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41668)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a7htw-0000vW-PY
 for 22105 <at> debbugs.gnu.org; Sat, 12 Dec 2015 05:59:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a7htm-0004BR-JI
 for 22105 <at> debbugs.gnu.org; Sat, 12 Dec 2015 05:59:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43196)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a7htm-0004BL-Gc; Sat, 12 Dec 2015 05:59:34 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4945
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a7htl-00019t-Nh; Sat, 12 Dec 2015 05:59:34 -0500
Date: Sat, 12 Dec 2015 12:59:40 +0200
Message-Id: <831tas6ig3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <566BFA7F.9000906@HIDDEN> (message from martin rudalics on Sat,
 12 Dec 2015 11:44:15 +0100)
Subject: Re: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>	<566560E2.4010204@HIDDEN>	<2b37d302-b956-48e6-98d0-fc116af6e684@default>	<5666A033.3050505@HIDDEN>
 <5666E41E.5070502@HIDDEN> <566BFA7F.9000906@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22105
Cc: drew.adams@HIDDEN, 22105 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sat, 12 Dec 2015 11:44:15 +0100
> From: martin rudalics <rudalics@HIDDEN>
> 
> I attach a patch against Emasc-25 which fixes this bug here.  I also
> added a remark to the doc-string of ‘modify-frame-parameters’ in the
> sense that if you specify several parameters which might affect the size
> of the frame, Emacs cannot always guarantee for every toolkit that the
> final size will meet the expectations of the caller.  Inherently this
> means, that the application programmer has to experiment with this
> function on each and every toolkit involved.
> 
> I leave it to Eli to decide whether the patch should go into Emacs-25 or
> master/trunk.

Please commit to emacs-25, and thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 12 Dec 2015 10:44:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 05:44:36 2015
Received: from localhost ([127.0.0.1]:35437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7hfI-0000Xy-6O
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 05:44:36 -0500
Received: from mout.gmx.net ([212.227.17.22]:51991)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rudalics@HIDDEN>) id 1a7hfG-0000Xl-74
 for 22105 <at> debbugs.gnu.org; Sat, 12 Dec 2015 05:44:34 -0500
Received: from [192.168.1.100] ([212.95.7.90]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0LcWSI-1aYTuQ22mE-00jqKk;
 Sat, 12 Dec 2015 11:44:24 +0100
Message-ID: <566BFA7F.9000906@HIDDEN>
Date: Sat, 12 Dec 2015 11:44:15 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, 22105 <at> debbugs.gnu.org
Subject: Re: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>	<566560E2.4010204@HIDDEN>	<2b37d302-b956-48e6-98d0-fc116af6e684@default>	<5666A033.3050505@HIDDEN>
 <5666E41E.5070502@HIDDEN>
In-Reply-To: <5666E41E.5070502@HIDDEN>
Content-Type: multipart/mixed; boundary="------------020704010506040309050800"
X-Provags-ID: V03:K0:k3tRhu0DF+A41aacoLd95i0Kdbftjv76kvCxEhvr3w3jvwbAWdW
 J+O9l9eWjazzqEmQ/3xOLqSbRLAVOZ5zNn60+gBj1DVvOQKqpU3boSTeqVvsdyvq8Plx4p/
 etflVtjJx3HJTnOxfOXWBUi7H/osnMRKW33EELl66SIrB9AWfhaZ4J7zMopOC2O4nUAYVzO
 fh2GEZ2P8bY8qLhYDwE1A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Su3TFPPkx68=:zaD6fwTvFz0RxKOutqT0IQ
 xCR1sUjH8ZjZv+/kwJOj1+7gK8Q0rsZqNqbiZg6gjv2ExmKjapAsEZU8N9qmgQUttDqbJ5eIF
 hCh+XbB9U3rU3sF64ip9fhLuZ1qrcjlunbXWQ0CcEAHp9KHjGMe6QP4GA71lclxTYOPjri9TD
 OW/jtI1Ss+gyihXEjgr10QfrHEk/PB+Ojb4HrNHPR7856rMDpnguSIX7gBL1yIabKhf4syL7E
 ztoANu+mhbv36ZD8a2ppuDfQWbkjKjDc9VzbrOGr4YcMZsG42EuA89NTcfv0EpVgc1b51b4Tk
 tOh4qVFs2OnwzLsE8jk1eGpphmFoIr5xBEkdkN3NFeri7Pm7tx6E6g9ZQgJPSfgVr8vlshUrV
 63vnVDQEl2Q/lMSLA4iRx72f50yvi91388fujVYah3aZzy87hrB06TBMrz35/jGH75nFOBBQ5
 pXj0hRLxEm/iriMRVgoFmKM3IHhzI7dMHspPXtJOA1G2zOctM7vIiGpvap71iMMdzqwTKniWg
 bv5i1n2SMhnbVCWD2PofNwrozTURpisukg9swNXNNSH5FjtYUyNA4DFFfdW9UFDkj5yLdN8of
 pjRLuqyl+JDFd6WesvKIH+iPlTwhPtLI5hK4lf++WZJCg72MnN828vmmSl+wvUGEtNZRUc+JB
 yxp3hKSJWf0i97EUBeQFYCaU9YSUm66kHAVFLc4L3Pc5BJcaShGuj/cKvUUugdA1I6EFiAyuj
 exfy8OcEwE/Bj53qQ4Pz7z2UT2tyeZL3BNfvOlDvbxpUT8AJ9s3Hl5O9JkbA8oyhg+TxfQhuV
 WnaZFLA
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 22105
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

This is a multi-part message in MIME format.
--------------020704010506040309050800
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: quoted-printable

 > IIUC the problem I see can be described more easily as follows.
 > Evaluate in sequence the following expressions with emacs -Q:
 >
 > (modify-frame-parameters nil '((menu-bar-lines . 0) (height . 30)))
 > (modify-frame-parameters nil '((menu-bar-lines . 1) (height . 40)))
 > (frame-parameter nil 'height)
 >
 > Here the height reported by the last form is 41.

Actually, the immediate cause of this problem goes as follows: When you
specify both addition of the menu bar and the new frame height,
=91modify-frame-parameters=92 will first issue a request to add the menu =
bar
and then a request to calculate the new frame height as specified.

However, Emacs does not immediately add the menu bar but delay this
until prepare_menu_bars is run by the display engine.  Till then, only
the value stored in the external_menu_bar slot of the frame tells
whether the frame shall have a menu bar or not.

As a consequence, the request to set the frame height will be delivered
first to the toolkit.  The calculation of the new frame height on
Windows is done by calling the function AdjustWindowRect.  The third
argument of that function has to specify whether a menu bar should be
included in the calculation or not.  Currently, this value is set to
whatever the external_menu_bar slot stores.  But if the frame does not
have a menu bar so far but should get one in the future, the value
stored there is inherently wrong for calculating the size of the frame
height via AdjustWindowRect.

I attach a patch against Emasc-25 which fixes this bug here.  I also
added a remark to the doc-string of =91modify-frame-parameters=92 in the
sense that if you specify several parameters which might affect the size
of the frame, Emacs cannot always guarantee for every toolkit that the
final size will meet the expectations of the caller.  Inherently this
means, that the application programmer has to experiment with this
function on each and every toolkit involved.

I leave it to Eli to decide whether the patch should go into Emacs-25 or
master/trunk.

Thanks for your attention, martin

--------------020704010506040309050800
Content-Type: text/plain; charset=windows-1252;
 name="add-menu-bar.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="add-menu-bar.diff"

diff --git a/doc/lispref/frames.texi b/doc/lispref/frames.texi
index 3c1a87a..0a43929 100644
--- a/doc/lispref/frames.texi
+++ b/doc/lispref/frames.texi
@@ -1007,12 +1007,28 @@ Parameter Access
 parameter.  If you don't mention a parameter in @var{alist}, its value
 doesn't change.  If @var{frame} is @code{nil}, it defaults to the selected
 frame.
+
+When @var{alist} specifies more than one parameter whose value can
+affect the new size of @var{frame}, the final size of the frame may
+differ according to the toolkit used.  For example, specifying that a
+frame should from now on have a menu and/or tool bar instead of none and
+simultaneously specifying the new height of the frame will inevitably
+lead to a recalculation of the frame's height.  Conceptually, in such
+case, this function will try to have the explicit height specification
+prevail.  It cannot be excluded, however, that the addition (or removal)
+of the menu or tool bar, when eventually performed by the toolkit, will
+defeat this intention.
+
+Sometimes, binding @code{frame-inhibit-implied-resize} (@pxref{Implied
+Frame Resizing}) to a non-@code{nil} value around calls to this function
+may fix the problem sketched here.  Sometimes, however, exactly such
+binding may be hit by the problem.
 @end defun

 @defun set-frame-parameter frame parm value
 This function sets the frame parameter @var{parm} to the specified
-@var{value}.  If @var{frame} is @code{nil}, it defaults to the
-selected frame.
+@var{value}.  If @var{frame} is @code{nil}, it defaults to the selected
+frame.
 @end defun

 @defun modify-all-frames-parameters alist
diff --git a/src/w32fns.c b/src/w32fns.c
index 208c980..f9ce762 100644
--- a/src/w32fns.c
+++ b/src/w32fns.c
@@ -1666,10 +1666,7 @@ x_set_menu_bar_lines (struct frame *f, Lisp_Object value, Lisp_Object oldval)
   FRAME_MENU_BAR_LINES (f) = 0;
   FRAME_MENU_BAR_HEIGHT (f) = 0;
   if (nlines)
-    {
-      FRAME_EXTERNAL_MENU_BAR (f) = 1;
-      windows_or_buffers_changed = 23;
-    }
+    FRAME_EXTERNAL_MENU_BAR (f) = 1;
   else
     {
       if (FRAME_EXTERNAL_MENU_BAR (f) == 1)
@@ -4620,8 +4617,7 @@ my_create_tip_window (struct frame *f)
   rect.right = FRAME_PIXEL_WIDTH (f);
   rect.bottom = FRAME_PIXEL_HEIGHT (f);

-  AdjustWindowRect (&rect, f->output_data.w32->dwStyle,
-		    FRAME_EXTERNAL_MENU_BAR (f));
+  AdjustWindowRect (&rect, f->output_data.w32->dwStyle, false);

   tip_window = FRAME_W32_WINDOW (f)
     = CreateWindow (EMACS_CLASS,
@@ -6681,8 +6677,7 @@ Text larger than the specified size is clipped.  */)
     rect.left = rect.top = 0;
     rect.right = width;
     rect.bottom = height;
-    AdjustWindowRect (&rect, f->output_data.w32->dwStyle,
-		      FRAME_EXTERNAL_MENU_BAR (f));
+    AdjustWindowRect (&rect, f->output_data.w32->dwStyle, false);

     /* Position and size tooltip, and put it in the topmost group.
        The add-on of FRAME_COLUMN_WIDTH to the 5th argument is a
diff --git a/src/w32menu.c b/src/w32menu.c
index 6af69f4..964b965 100644
--- a/src/w32menu.c
+++ b/src/w32menu.c
@@ -494,7 +494,10 @@ set_frame_menubar (struct frame *f, bool first_time, bool deep_p)
     /* Force the window size to be recomputed so that the frame's text
        area remains the same, if menubar has just been created.  */
     if (old_widget == NULL)
-      adjust_frame_size (f, -1, -1, 2, false, Qmenu_bar_lines);
+      {
+	windows_or_buffers_changed = 23;
+	adjust_frame_size (f, -1, -1, 2, false, Qmenu_bar_lines);
+      }
   }

   unblock_input ();
diff --git a/src/w32term.c b/src/w32term.c
index f48e725..0b8bef2 100644
--- a/src/w32term.c
+++ b/src/w32term.c
@@ -6115,9 +6115,22 @@ x_set_window_size (struct frame *f, bool change_gravity,
   int pixelwidth, pixelheight;
   Lisp_Object fullscreen = get_frame_param (f, Qfullscreen);
   RECT rect;
+  MENUBARINFO info;
+  int menu_bar_height;

   block_input ();

+  /* Get the height of the menu bar here.  It's used below to detect
+     whether the menu bar is wrapped.  It's also used to specify the
+     third argument for AdjustWindowRect.  FRAME_EXTERNAL_MENU_BAR which
+     has been used before for that reason is unreliable because it only
+     specifies whether we _want_ a menu bar for this frame and not
+     whether this frame _has_ a menu bar.  See bug#22105.  */
+  info.cbSize = sizeof (info);
+  info.rcBar.top = info.rcBar.bottom = 0;
+  GetMenuBarInfo (FRAME_W32_WINDOW (f), 0xFFFFFFFD, 0, &info);
+  menu_bar_height = info.rcBar.bottom - info.rcBar.top;
+
   if (pixelwise)
     {
       pixelwidth = FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
@@ -6135,17 +6148,11 @@ x_set_window_size (struct frame *f, bool change_gravity,
 	 height of the frame then the wrapped menu bar lines are not
 	 accounted for (Bug#15174 and Bug#18720).  Here we add these
 	 extra lines to the frame height.  */
-      MENUBARINFO info;
       int default_menu_bar_height;
-      int menu_bar_height;

       /* Why is (apparently) SM_CYMENUSIZE needed here instead of
 	 SM_CYMENU ??  */
       default_menu_bar_height = GetSystemMetrics (SM_CYMENUSIZE);
-      info.cbSize = sizeof (info);
-      info.rcBar.top = info.rcBar.bottom = 0;
-      GetMenuBarInfo (FRAME_W32_WINDOW (f), 0xFFFFFFFD, 0, &info);
-      menu_bar_height = info.rcBar.bottom - info.rcBar.top;

       if ((default_menu_bar_height > 0)
 	  && (menu_bar_height > default_menu_bar_height)
@@ -6160,8 +6167,7 @@ x_set_window_size (struct frame *f, bool change_gravity,
   rect.right = pixelwidth;
   rect.bottom = pixelheight;

-  AdjustWindowRect (&rect, f->output_data.w32->dwStyle,
-		    FRAME_EXTERNAL_MENU_BAR (f));
+  AdjustWindowRect (&rect, f->output_data.w32->dwStyle, menu_bar_height > 0);

   if (!(f->after_make_frame)
       && !(f->want_fullscreen & FULLSCREEN_WAIT)


--------------020704010506040309050800--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 8 Dec 2015 14:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 09:07:37 2015
Received: from localhost ([127.0.0.1]:42506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6IvZ-0003Ej-1P
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 09:07:37 -0500
Received: from mout.gmx.net ([212.227.15.15]:63041)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1a6IvV-0003EY-QL
 for 22105 <at> debbugs.gnu.org; Tue, 08 Dec 2015 09:07:34 -0500
Received: from [192.168.1.100] ([212.95.7.1]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0LtaDM-1aDl9Z3a5s-010xc7;
 Tue, 08 Dec 2015 15:07:29 +0100
Message-ID: <5666E41E.5070502@HIDDEN>
Date: Tue, 08 Dec 2015 15:07:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, 22105 <at> debbugs.gnu.org
Subject: Re: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>	<566560E2.4010204@HIDDEN>	<2b37d302-b956-48e6-98d0-fc116af6e684@default>
 <5666A033.3050505@HIDDEN>
In-Reply-To: <5666A033.3050505@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:RV3t9XMVKDv9H+hqDxidrvD9HF/gynK/9zwu7w5zgGl3W1tje38
 eL8JJi9XGjy3UCQbm5QOPWVZBjuRy72Igx8Wm+NoAjLdFG94h0POUuJptb2I0dHe08sPOAy
 8RwDabWPM6NFuE9IdD922vr6RPzSncGqGXYxU6RZ8fX7be+JaqQD0eRPoO8YPxRZ5raMBdw
 3/rUS3QYIPHIU8gYpcrBA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:GaTOtZS6d7o=:bRZ5VhlhdWYz718yxT8P76
 n+1ZSdYh7MBJwrQTbygOHQnuKMZSYVeXUI4rGo+5BcuZpNWBjQaf5tRTbsz8yyeV9W2keKTAY
 pKNOJdZLLElwILH09rf6Nk9mIPE/bjH8ntbV7qkqvDSVoGHltEgig7B6c+/XI6gII/bqXfjM6
 5yyJk9YeNajMgAUHNAn4LiDf0VGQWuMCyZsKWwTd/FgHLX/L9xX8eEbzq8jJ/Bl6KHjIyhHGe
 kp02kvaI5D11vHpWyNa62x49sQ+p9VfngWtKFGoS4kGASKBByMdU03TcAmUQMRwGbneID01Il
 PxoBjSfZyaAm4tgux+bFBmxG51xo3IOV/rslF3kua87GpvW43SYzPlEEUWbVA7t9eJ19N5D6Z
 YJNc9wDe4mtMlGrFAFxPAcBGztXj2/ZGw6ypPwLqyPkgY31IlIxmT4L9v1eUH7QdbOamcXmkz
 2WcdcL3jJzmZ5lMVTXnONTT0VhWdeC0RaElrKKIIu3/dI9/IDtz971hUax5MFfGFGVSD72mvE
 UeVbCJQcbMAhXWDZb6/8l4SjykCfPddDZMem413Y4sJjIQLqzzqPL8c6mAsBL2LivXNuUbslr
 /Ax1GFwPdPPMK2mZnsvQZaCNy+HfEizseoZR6xfYvRhmp53xo5F6EWK5/FKIkbDKV+5zfv7uU
 UcuZ/7jnGozJcAv7omjwMgkv2QndNTEKghVR32D2AoQnd2DtQBnRLg2QOpNrQO6d/XMa8QiJV
 EBVLACinCgkAQ4b5FkfUXZxItiOgjuZYDqZMAfd2EbejVE12z7WONVx7y/WnMECMpNrvOIyCp
 3wIa06wdIsJJOb7N0BOPd5QoN+sFg==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 22105
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > I don't think the option itself is related to the problem you see.  It=
's
 > rather the behavior when the option is not chosen.

IIUC the problem I see can be described more easily as follows.
Evaluate in sequence the following expressions with emacs -Q:

(modify-frame-parameters nil '((menu-bar-lines . 0) (height . 30)))
(modify-frame-parameters nil '((menu-bar-lines . 1) (height . 40)))
(frame-parameter nil 'height)

Here the height reported by the last form is 41.  This seems bug#1348
again.  Until that gets fixed we can expect it to hit us everywhere we
set a frame size and some other parameter that affects the same size.

Your code behaves as intended on GNU/Linux (although my system is slow
enough so I can watch the single resize operations).  Maybe you should
change the OS.  Otherwise, never mix two parameters in one and the same
=91modify-frame-parameters=92 call that may affect the same size paramete=
r.
Or, if they miraculously work with some older Emacs version on Windows,
then stick to that version.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 8 Dec 2015 09:18:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 04:18:06 2015
Received: from localhost ([127.0.0.1]:42319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6EPN-0002PV-PE
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 04:18:06 -0500
Received: from mout.gmx.net ([212.227.15.18]:53292)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1a6EP4-0002OV-57
 for 22105 <at> debbugs.gnu.org; Tue, 08 Dec 2015 04:18:04 -0500
Received: from [192.168.1.100] ([212.95.7.87]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0M5cMq-1aUO5d2j4y-00xcBH;
 Tue, 08 Dec 2015 10:17:41 +0100
Message-ID: <5666A033.3050505@HIDDEN>
Date: Tue, 08 Dec 2015 10:17:39 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, 22105 <at> debbugs.gnu.org
Subject: Re: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>
 <566560E2.4010204@HIDDEN> <2b37d302-b956-48e6-98d0-fc116af6e684@default>
In-Reply-To: <2b37d302-b956-48e6-98d0-fc116af6e684@default>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:CRw9ypc7rqBOQMhnLRZeEhzOAf/FdTFXarC7U3kbn/XcUnY+IJG
 /jo4oo4nyWH3NFOBAnUt4sWomX1e+zOof5GbaRKWBJjYA8K81HeU6hCWEy+nYfXQpqPFKxw
 5ENXLsqndnZkhcDTdgGrkSipewpRXSXoz9fAxoWgyrdAOJSZQ8cnvoJzT697JPj+vpYWLUT
 scTlRfLDmkD++dCOSQIkg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:fq8DCPFW+Hc=:79zgVSHmeml8huUo/xTVts
 gnnfacEFwBuXwqrbpJCpSjJ4IIZMwZlvGlSmn9YQ1BAe3D6YkpTFLmDq4zW+bUC8ebE3NjvW2
 TFnfC2hv+TgONQj5ypSL5Ch5PlwzzdxVTk+SZH+Dmc8ACirVXHh6aX2USOeGVZO4/nqBWEoBB
 MjBm08Y9eTioODSdzhq3kHooPGKKiC4zZ42axW0LLZcTQFHmr4u6d3lpmrQAduLo537Kq+g/m
 YoYo0eSlORijlaesmIxh/fuTNBCO7NMTHDBrLFo8yKuzq9Wn9Q5sslbMf91Jbfiwkd9rw8irF
 Yxu4Fh73xCHgdGeDThIykVcL9Y3SPsZHe+4XyIhEUXfHWHLctkYAS/Pzoza2IEv5Ru33NsLIG
 7/krso3OiC/8qfBICHI/nwfESMKLBK6hz2v8C9wxH+xfdpXmoLn5KR6hcEj6qKma94YBc9kAx
 lBG1l4vmSfbGTgMlRM+KKoy0EMKPimjEjmXIpLRjo/Cevf3JwDg4zo2AYPS8DcRSKcU6l11hz
 ekXQExO/jE+J4MQfzsYauVZWbmzitOIHD8Gvr5yvKWbtRGKGEoxqJN7cZb32AIFlmvcA35KlD
 IFEUCmE24ww0+IcydJc44U8FeGA+9+DmpPnbNxmx0vuJIeZODHD3GkBPHTKYbswORKGgGTN57
 iQQsA1SA6m8Tcm6qJiPXBhtGPsPNkH5TkXpH2usuCViumt8IzA7kwd+GUz0kxMRVViQ5phQCO
 bMrKEC7dezO7hXxULOZP4Q8Z8lV14IK2zjuEpg1cMy1f+jNTQ/2Ppn6qMKummxBdlHUfJ5nyA
 NUcI3lyZn9kL/8AM1JkM4VOxLZGMg==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 22105
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > My code restores a set of frame parameters, but that behavior is
 > broken, it seems, because that particular call to
 > `modify-frame-parameters' has _no effect_.

What are the arguments of "that particular call"?

 > It's not just that the frame height is changed by the height of
 > a menu-bar or not, depending on the option value.
 >
 > The height is not changed _at all_ by that call, if I don't tweak
 > the option, and it should be changed a _lot_ (assuming you resized
 > the unthumbified frame to reduce the height a lot).

When I tried your functions the height changed considerably here.  But
every large frame was higher than its predecessor by the height of the
menu bar.

 > The `height' parameter that is being restored is apparently ignored.
 > My guess is that all of the parameters are being ignored - that
 > particular call to `modify-frame-parameters' appears to be a no-op.
 > That doesn't seem to follow what the option should do, regardless
 > of the option value.

Are your sure that all arguments are ignored?

 > And if you step through the debugger then it _has_ its intended
 > effect - the `modify-frame-parameters' call is not ignored - it
 > restores all of the parameters passed to it (including `height').

That's an interesting aspect.  Maybe you could try to simulate the
debugger's behavior by inserting a =91sit-for=92 wherever it produces the=

intended effect.  Then we could "nail down" the critical section that
produces the unintended behavior.

 > So I cannot think that this bug is fixed (or not a bug), but I
 > don't really understand all that is involved, and I will play
 > some more with that user option - when I get a chance.
 >
 > I hope that you will investigate, following my recipe, why
 > that `modify-frame-parameters' call now has no effect unless
 > you step through the debugger.  But I can at least confirm that
 > the problem does indeed seem to be brought on by the code that
 > implements that option.

I don't think the option itself is related to the problem you see.  It's
rather the behavior when the option is not chosen.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 7 Dec 2015 17:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 12:00:51 2015
Received: from localhost ([127.0.0.1]:41928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a5z9e-0001Rp-Jd
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 12:00:51 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:19652)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1a5z9c-0001Oh-BL
 for 22105 <at> debbugs.gnu.org; Mon, 07 Dec 2015 12:00:49 -0500
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 tB7H0jTs005330
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 7 Dec 2015 17:00:46 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id tB7H0joQ003996
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Mon, 7 Dec 2015 17:00:45 GMT
Received: from abhmp0002.oracle.com (abhmp0002.oracle.com [141.146.116.8])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id tB7H0jVU008645;
 Mon, 7 Dec 2015 17:00:45 GMT
MIME-Version: 1.0
Message-ID: <2b37d302-b956-48e6-98d0-fc116af6e684@default>
Date: Mon, 7 Dec 2015 09:00:43 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, 22105 <at> debbugs.gnu.org
Subject: RE: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>
 <566560E2.4010204@HIDDEN>
In-Reply-To: <566560E2.4010204@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22105
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> I suppose the behavior is indeed caused by adding and removing the menu
> bar.  At least when doing C-z repeatedly with the "(debug)" commented
> out I see here both small and normal font frames continuously increase
> in size.
>=20
> You could try with
> (setq frame-inhibit-implied-resize '(menu-bar-lines tool-bar-lines))
> which inherently means to not resize the outer frame when adding or
> removing the menu bar.  It seems to cure the problem I described above.

Thanks for the quick reply.

Yes, that does seem to take care of this problem, but I will take a
closer look when I get a chance.  In any case, other woes introduced
on 2015-10-20 are not fixed by setting that option - I'll have to find
some time to track those down.

But this is a user option.  Even if changing the value is a "fix"
for this, I'm not sure how I should approach this wrt a library that
lets users thumbify frames and decide which frame parameter values
they want to impose on the thumbnail frames.  I guess I could change
the option value on the fly, if `menu-bar-lines' is changed to or
from 0).  But that seems ugly and awkward.

I see that the default value of this option gives you the same
behavior as you get in Emacs 24.5 (or earlier).  E.g., toggling
menu-bar-mode changes the height, but toggling tool-bar-mode does
not change the height.

But that compatibility does not apply to my thumbification.  That
still seems like a bug.

My code restores a set of frame parameters, but that behavior is
broken, it seems, because that particular call to
`modify-frame-parameters' has _no effect_.

It's not just that the frame height is changed by the height of
a menu-bar or not, depending on the option value.

The height is not changed _at all_ by that call, if I don't tweak
the option, and it should be changed a _lot_ (assuming you resized
the unthumbified frame to reduce the height a lot).

The `height' parameter that is being restored is apparently ignored.
My guess is that all of the parameters are being ignored - that
particular call to `modify-frame-parameters' appears to be a no-op.
That doesn't seem to follow what the option should do, regardless
of the option value.

And if you step through the debugger then it _has_ its intended
effect - the `modify-frame-parameters' call is not ignored - it
restores all of the parameters passed to it (including `height').

So I cannot think that this bug is fixed (or not a bug), but I
don't really understand all that is involved, and I will play
some more with that user option - when I get a chance.

I hope that you will investigate, following my recipe, why
that `modify-frame-parameters' call now has no effect unless
you step through the debugger.  But I can at least confirm that
the problem does indeed seem to be brought on by the code that
implements that option.

Thanks for looking into this, Martin.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at 22105 <at> debbugs.gnu.org:


Received: (at 22105) by debbugs.gnu.org; 7 Dec 2015 10:35:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 05:35:40 2015
Received: from localhost ([127.0.0.1]:41339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a5t8u-0005Vx-2O
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 05:35:40 -0500
Received: from mout.gmx.net ([212.227.15.19]:52452)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1a5t8a-0005VT-8e
 for 22105 <at> debbugs.gnu.org; Mon, 07 Dec 2015 05:35:38 -0500
Received: from [192.168.1.100] ([212.95.7.77]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0M8ehf-1aSFZw30j5-00wFBm;
 Mon, 07 Dec 2015 11:35:15 +0100
Message-ID: <566560E2.4010204@HIDDEN>
Date: Mon, 07 Dec 2015 11:35:14 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, 22105 <at> debbugs.gnu.org
Subject: Re: bug#22105: 25.1.50; REGRESSION - `modify-frame-parameters'
References: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>
In-Reply-To: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:7nsPPPCOf0n+r4wdd1R4iFZPFbV66ATJZXJfY/0xyP38UB6Mjas
 9G+6hkFjoX4ksQhAXjuquTJUz5+d2zhZc0fHq+GgarD2UDWK/btGf6hmOpmPG3tpLS8jsdM
 9YrEiVJZphk0ktrpvjWqXUa48mgN0g7vEc6Fd7qzjg7ZkKdIHozk/i5jkJt72ZqXuin5hG7
 /MlTdzPo10wAl9D/C7R9A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:ZmnGA36rN0Y=:7Y0qfBaGMeM9QPNY8Dajeg
 C/aiAQD5GuKf0PhnJkKj7wRU9kz/inmADDXW8LxFRZNz9j5XbLYmRHAHUto8MBwzXgUu3TLT2
 RdMUxcUizdlKEfKRJEaHIydorwpsvNXl/lUhxyQgpWEUMYt+QSs14eKqAubdkPOrfa8Z8rKyk
 uQRgMI5EaYPQC/oey4jF0Pz2HDEx5cIIx0vyJBqk95C9xG8+jUDIVYfHnl+R8QfTe7mfxb60q
 EJ89nojz3jg43AgRxRLVi2ZoQjV+ZokQOUcyxEuwUQvUrBNxl9jNoOt8UCNzNAHaFbyi6+aEZ
 NPyKly6fSqrYiSzFazWhL8a8FbHGh1PifLBhk7HgwJqvCYEHMLuBieOA4QIjq4CgFOQ055KCx
 VwEP7Mg45qfxA5hu9KnSI9hJXuxRBUTAh9uxKJ2YZG+IeVpop3AAQ5LuNcfdYdXfsOALgYz63
 VA3A4FGeci1uyIw7aIvXAHNoy6YAr1vMOBk6Bd3R2Xj8WDA6gJefnADyQDcHcnSjBcsbE7yLd
 IPj3IhzSzbgXOyAHd2LXaupBpEhi0XwJRo58TqaIYvu544AWWVW+7RIQAWhewSDKVkycSTPMz
 uaZ6KL2O/xBNmyHtocBrVAU0fh5DybjeNCc+j45NIVOICASbiTKr16D5tYPVF5kOG3saPrRSV
 hmn86EZUVMRjMIBblGsQnk+jSVwr0jyG1uIccwQGqWwGXktltK2Z5XiZxSVLkx2LThLiVNHqD
 m8V2Qm6bAdp4ukjFHzFlBXDs5bxKTW0eUwRLDUhJUW8mDHzwd7e8VazqjynpnzE2RV+O2g4Sz
 ykt9DNDjfFZjZntyT67HxDu1fwFDA==
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > Here is perhaps a clue to the problem: Variable
 `thumfr-frame-parameters'
 > has value ((menu-bar-lines . 0)). If you comment-out that line, to > give
 it a value of (()),
 then there is no bug. You can also uncomment > the commented-out
 lines, to give it a value of, say, > ((tool-bar-lines . 0) (scroll-bar-width
 . 6) (scroll-bar-height . 6)), > and then there is no bug either. It seems
 that it is the presence of > the `menu-bar-lines' sexp that is problematic.
 [...] Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 0.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [212.95.7.77 listed in dnsbl.sorbs.net]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.7.77 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 22105
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Here is perhaps a clue to the problem: Variable `thumfr-frame-parameters'
    > has value ((menu-bar-lines . 0)). If you comment-out that line, to > give
    it a value of (()), then there is no bug. You can also uncomment > the commented-out
    lines, to give it a value of, say, > ((tool-bar-lines . 0) (scroll-bar-width
    . 6) (scroll-bar-height . 6)), > and then there is no bug either. It seems
    that it is the presence of > the `menu-bar-lines' sexp that is problematic.
    [...] 
 
 Content analysis details:   (3.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.19 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.7.77 listed in zen.spamhaus.org]
  0.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.77 listed in dnsbl.sorbs.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record

 > Here is perhaps a clue to the problem: Variable `thumfr-frame-parameters'
 > has value ((menu-bar-lines . 0)).  If you comment-out that line, to
 > give it a value of (()), then there is no bug.  You can also uncomment
 > the commented-out lines, to give it a value of, say,
 > ((tool-bar-lines . 0) (scroll-bar-width . 6) (scroll-bar-height . 6)),
 > and then there is no bug either.  It seems that it is the presence of
 > the `menu-bar-lines' sexp that is problematic.

I suppose the behavior is indeed caused by adding and removing the menu
bar.  At least when doing C-z repeatedly with the "(debug)" commented
out I see here both small and normal font frames continuously increase
in size.

You could try with

(setq frame-inhibit-implied-resize '(menu-bar-lines tool-bar-lines))

which inherently means to not resize the outer frame when adding or
removing the menu bar.  It seems to cure the problem I described above.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Dec 2015 06:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 01:03:44 2015
Received: from localhost ([127.0.0.1]:41192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a5otj-0007kM-T2
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 01:03:44 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44147)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1a5otO-0007jw-WA
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 01:03:42 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1a5otN-0007T9-O0
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 01:03:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.4 required=5.0 tests=BAYES_50,XPRIO
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35695)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1a5otN-0007Sr-LK
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 01:03:21 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54116)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1a5otM-0007dl-7x
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 01:03:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1a5otI-0007I5-5Z
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 01:03:20 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:47826)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1a5otH-0007Gd-Sh
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 01:03:16 -0500
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 tB763Evq023796
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 7 Dec 2015 06:03:14 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id tB763ECk025457
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Mon, 7 Dec 2015 06:03:14 GMT
Received: from abhmp0010.oracle.com (abhmp0010.oracle.com [141.146.116.16])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id tB763DXB008529
 for <bug-gnu-emacs@HIDDEN>; Mon, 7 Dec 2015 06:03:13 GMT
MIME-Version: 1.0
Message-ID: <29534178-ce2c-4d5d-b663-75e1fddcb043@default>
Date: Sun, 6 Dec 2015 22:03:12 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; REGRESSION - `modify-frame-parameters'
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6691.5000 (x86)]
Content-Type: multipart/mixed;
 boundary="__14494681937457944abhmp0010.oracle.com"
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--__14494681937457944abhmp0010.oracle.com
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable

I really hope that you can fix this problem.  It is important to the way
I use Emacs.  I'm reporting this from a dev snapshot (master), but the
same recipe exhibits the same problem with (pre)release 25 builds.

Starting with a build of 2014-10-20, my code that thumbifies frames
(shrinks them to thumbnail size, and restores them) has been broken.
There is no problem with release 24.5 (which came out after 2014-10-20,
IIRC, but from a different dev branch) or with earlier releases or
builds.

All builds since then have problems for frame thumbifying, but there has
seemingly been a lot of changes to the frame code, so the broken
behavior has changed in different ways over the past year or so.  For
this reason of instability (dev changes), and because debugging these
problem(s) seems to take me a long time, I've not filed a bug report
about this until now.

I have a recipe to reproduce a problem, but I don't know whether it is
the only problem.  In general, thumbifying not only does not resize
frames properly, it even changes - if I thumbify & dethumbify the same
frame repeatedly - the thumb size can change a lot.

But such wild changes are not what you will see with this test recipe.
The recipe here reports a single problem that is easy to see.

[This is not the same as bug #14032, which was fixed, though I see now
(after long hours of debugging) that the description seems a bit
similar.  In particular, suppressing the use of scroll bars does not
help.]


To reproduce the problem, use the attached file, test-thumb.el.  Start
with: runemacs.exe -Q --debug-init -l "/PATH/TO/test-thumb.el"

You will use `C-z' to thumbify and dethumbify the *scratch* frame (it's
a toggle).  There is a call to `debug' in `thumfr-thumbify-frame', which
thumbifies.  To see the problem quickly you can comment that out.

The intended behavior (and the behavior in Emacs release 24.5 and prior)
is that once a frame has been thumbified, thumbifying it again, after
dethumbifying, should show it in the same way - its frame parameters
should be restored to those it had when first thumbified.  And this,
regardless of whether the dethumbified frame has changed parameter
values.  IOW, the shape etc. of a thumbnail frame should be determined
once and for all the first time the frame is thumbified.

The behavior instead is that thumbifying results in mirroring the latest
unthumbified frame parameters (with only the `font' parameter changed).
At least that's what I see with the recipe, which shows this problem for
parameter `height'.

Essentially the recipe is this:

1. Thumbify, then dethumbify, to see the expected behavior (can be
   repeated).

2. Then when unthumbified, manually resize the frame, to reduce its
   height noticeably.  Then thumbify.  The thumbnail frame should be the
   same size (e.g., same height) as before, but instead it mirrors the
   aspet ratio of the frame before thumbifying (reduced height).

Below is the detailed recipe.  Note that if you comment-out the call to
`(debug)', or if you just use `c' when the debugger opens, then you can
see the problem - the call to `modify-frame-parameters' after `(debug)'
seems to do nothing.

If instead you use `d' to step through the debugger, so that the first
sexp (the call to `modify-frame-parameters) is stepped through, then
there is no problem - the frame gets the proper size because of that
call.  It is as if the call to `modify-frame-parameters' is ignored
(or optimized away?), unless the debugger steps through it.


RECIPE 1:

1. runemacs.exe -Q --debug-init -l "/PATH/TO/test-thumb.el"

2. Optional, to see frame parameters using `C-o' (command `foo', at end
   of file): `C-x 5 b *Messages*'.

3. With buffer *scratch* selected (focused): `C-z', to thumbify.
   Then `c' to skip through the debugger.

4. `C-z', to dethumbify.

5. Repeat #3 and #4 as many times as you like.  No problem, so far.

6. With the frame normal size (dethumbified), manually (e.g., with
   the mouse) resize it to reduce the height noticeably.

7. `C-z', to thumbify.  Use `c' to skip through the debugger.

You will see that the thumbified height (e.g. aspect ratio) reflects
what the unthumbified height had.  This is the bug.  The thumbnail
should be the same as before - its height should not change.

The call to `enlarge-font' just before that `modify-frame-parameters'
shrinks the frame proportionately, so after manually reducing the
height, the result is a similarly reduced-height thumbnail.  But the
`modify-frame-parameters' that follows `enlarge-font' should correct
this by restoring the set of frame parameters that were recorded from
the first thumbifying.  (They are recorded in frame parameter
`thumfr-non-thumbnail-frame'.)


RECIPE 2: Same as RECIPE 1, but this time, at step 7, step through the
debugger.  You will see that there is no bug - the thumbified frame has
the right height.  The code is correct, I think.  But that call to
`modify-frame-parameters' does not seem to do what it should, unless you
step through it with the debugger.

The behavior without using the debugger at all (e.g., with `(debug)'
commented out) shows the bug too.  The call to `modify-parameters' seems
to be optimized away or otherwise neglects to apply the parameter
changes.  The height parameter (as an example) is left as it was after
the call to `enlarge-font'.

Here is perhaps a clue to the problem: Variable `thumfr-frame-parameters'
has value ((menu-bar-lines . 0)).  If you comment-out that line, to
give it a value of (()), then there is no bug.  You can also uncomment
the commented-out lines, to give it a value of, say,
((tool-bar-lines . 0) (scroll-bar-width . 6) (scroll-bar-height . 6)),
and then there is no bug either.  It seems that it is the presence of
the `menu-bar-lines' sexp that is problematic.

I think this bug was introduced on or before 2014-10-20.  At least
that's when I started seeing similar problems.  Thanks for taking
a look.


In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
 of 2015-12-04
Bzr revision: ffefb6e899fbcdcbd79cb34292d57b7bc3043fcc
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/Devel/emacs/snapshot/trunk --enable-checking=3Dye=
s
 --enable-check-lisp-object-type --without-compress-install 'CFLAGS=3D-Og
 -ggdb3' LDFLAGS=3D-Lc:/Devel/emacs/lib 'CPPFLAGS=3D-DGC_MCHECK=3D1
 -Ic:/Devel/emacs/include''

--__14494681937457944abhmp0010.oracle.com
Content-Type: application/octet-stream; name="test-thumb.el"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="test-thumb.el"
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--__14494681937457944abhmp0010.oracle.com--




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22105; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 1 May 2016 01:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.